Package pygraph :: Package mixins :: Module basegraph :: Class basegraph

# Class basegraph

An abstract class intended as a common ancestor to all graph classes. This allows the user to test isinstance(X, basegraph) to determine if the object is one of any of the python-graph main classes.

Instance Methods
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`